[android-components](../index.md) / [mozilla.components.support.ktx.android.content](index.md) / [getDrawableWithTint](./get-drawable-with-tint.md)

# getDrawableWithTint

`fun <ERROR CLASS>.getDrawableWithTint(@DrawableRes resId: `[`Int`](https://kotlinlang.org/api/latest/jvm/stdlib/kotlin/-int/index.html)`, tint: `[`Int`](https://kotlinlang.org/api/latest/jvm/stdlib/kotlin/-int/index.html)`): <ERROR CLASS>` [(source)](https://github.com/mozilla-mobile/android-components/blob/master/components/support/ktx/src/main/java/mozilla/components/support/ktx/android/content/Context.kt#L154)

Returns a tinted drawable for the given resource ID.

### Parameters

`resId` - ID of the drawable to load.

`tint` - Tint color int to apply to the drawable.